
@import '../../stylesheets/vars.less';

.left-panel {
  background: transparent;
  border-radius: 0;
  box-shadow: -2px 2px 5px @box-shadow;
  padding: 0 0; //0 0 3px;
}

@media (max-width: @screen-md-min) {
  .left-panel {
    background: transparent;
    border: none;
    margin-bottom: 7px;

    .panel-heading {
      display: none;
    }

    .panel-body {
      padding: 0 15px;
    }
  }
}

/* Medium devices (desktops, 992px and up) */
@media (min-width: @screen-md-min) {
  .left-panel {
    background: transparent;
    border-radius: 0;

    .panel-heading {
      display: block;

      padding: 7px 0px 0px; //padding: 7px 5px 5px;
      border-radius: 0;
      //background-color:  @toolbar; //@the-brown; //@light-blue;
      margin: 0 5px;
      box-shadow: -4px 4px 5px @the-grey;

      h3 {
        position: absolute;
        display: inline;

        margin: 10px 0 0 7px;

        color: @the_blue; //@the-white;
        //font-size: 13px;
        //font-size: 10px;
        font-size: 11px;
        font-weight: bold;
      }

      .tools-icon {
        display: inline-block;

        background: url('/images/paint_brush_2.png');
        background-position: 0 0;
        background-repeat: no-repeat;
        background-size: 100%;

        width: 32px;
        height: 32px;

        margin: 0 0 0 5px;

        // http://codepen.io/noahblon/post/coloring-svgs-in-css-background-images
        // background-color: @the_blue;
        // -webkit-mask-image: url('/images/toolbar.svg');
        // -webkit-mask-position: 0 0;
        // -webkit-mask-repeat: no-repeat;
        // -webkit-mask-size: 100%;

      }
    }
  }
}

.btn-gtxfvs-tool {
    padding-top: 3px;
    margin: 3px;

    // experimental
    //border-radius: 100px;
    border-radius: 3px;
    border: 1px solid @darker-light-blue;
    background: @light-blue;

    box-shadow: 2px 2px 5px @the-shadow-blue; //#BBB;

    height: 44px;
    width: 44px;
}

.btn-gtxfvs-shadow {
    box-shadow: 0px 0px 7px #BBB;
}

.btn-gtxfvs-frame {
    width:32px;
    height:38px;
    padding: 5px 0 0;
}